## xtensor 0.1.0-0

=== DESCRIPTION ===
Package: xtensor
Type: Package
Title: Headers for the 'xtensor' Library
Version: 0.1.0-0
Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
Description: The 'xtensor' C++ library for numerical analysis with
 multi-dimensional array expressions is provided as a header-only
 C++14 library. It offers an extensible expression system enabling
 lazy broadcasting; an API following the idioms of the C++ standard
 library; and tools to manipulate array expressions and build upon 'xtensor'.
URL: https://github.com/QuantStack/xtensor
License: BSD_3_clause + file LICENSE
Encoding: UTF-8
Imports: Rcpp
LinkingTo: Rcpp
LazyData: true
NeedsCompilation: yes
Packaged: 2017-09-11 14:28:53 UTC; sylvain
Repository: CRAN
Date/Publication: 2017-09-11 17:08:45 UTC

## xtensor 0.1.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.1.0-0
+Version: 0.1.1-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2017-09-11 14:28:53 UTC; sylvain
+Packaged: 2017-09-15 15:33:54 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2017-09-11 17:08:45 UTC
+Date/Publication: 2017-09-15 16:00:21 UTC

## xtensor 0.2.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.1.1-0
+Version: 0.2.0-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2017-09-15 15:33:54 UTC; sylvain
+Packaged: 2017-10-20 10:05:12 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2017-09-15 16:00:21 UTC
+Date/Publication: 2017-10-23 22:15:02 UTC

## xtensor 0.3.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.2.0-0
+Version: 0.3.0-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2017-10-20 10:05:12 UTC; sylvain
+Packaged: 2017-11-11 00:05:42 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2017-10-23 22:15:02 UTC
+Date/Publication: 2017-11-11 04:05:45 UTC

## xtensor 0.4.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.3.0-0
+Version: 0.4.0-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2017-11-11 00:05:42 UTC; sylvain
+Packaged: 2017-12-18 10:38:25 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2017-11-11 04:05:45 UTC
+Date/Publication: 2017-12-18 10:51:21 UTC

## xtensor 0.6.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.4.0-0
+Version: 0.6.0-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2017-12-18 10:38:25 UTC; sylvain
+Packaged: 2018-05-25 13:20:58 UTC; scorlay
 Repository: CRAN
-Date/Publication: 2017-12-18 10:51:21 UTC
+Date/Publication: 2018-05-25 16:02:22 UTC

## xtensor 0.6.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.6.0-0
+Version: 0.6.1-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2018-05-25 13:20:58 UTC; scorlay
+Packaged: 2018-05-27 03:10:53 UTC; scorlay
 Repository: CRAN
-Date/Publication: 2018-05-25 16:02:22 UTC
+Date/Publication: 2018-05-27 16:34:10 UTC

## xtensor 0.8.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.6.1-0
+Version: 0.8.1-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2018-05-27 03:10:53 UTC; scorlay
+Packaged: 2018-10-18 13:02:41 UTC; scorlay
 Repository: CRAN
-Date/Publication: 2018-05-27 16:34:10 UTC
+Date/Publication: 2018-10-19 12:00:04 UTC

## xtensor 0.9.0

=== CMakeLists.txt ===
############################################################################
# Copyright (c) 2016, Johan Mabille and Sylvain Corlay                     #
#                                                                          #
# Distributed under the terms of the BSD 3-Clause License.                 #
#                                                                          #
# The full license is in the file LICENSE, distributed with this software. #
############################################################################

cmake_minimum_required(VERSION 3.1)
project(xtensor)

set(XTENSOR_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include)

# Versionning
# ===========

file(STRINGS "${XTENSOR_INCLUDE_DIR}/xtensor/xtensor_config.hpp" xtensor_version_defines
     REGEX "#define XTENSOR_VERSION_(MAJOR|MINOR|PATCH)")
foreach(ver ${xtensor_version_defines})
    if(ver MATCHES "#define XTENSOR_VERSION_(MAJOR|MINOR|PATCH) +([^ ]+)$")
        set(XTENSOR_VERSION_${CMAKE_MATCH_1} "${CMAKE_MATCH_2}" CACHE INTERNAL "")
    endif()
endforeach()
set(${PROJECT_NAME}_VERSION 
    ${XTENSOR_VERSION_MAJOR}.${XTENSOR_VERSION_MINOR}.${XTENSOR_VERSION_PATCH})
message(STATUS "xtensor v${${PROJECT_NAME}_VERSION}")


# Build
# =====

set(XTENSOR_HEADERS
    ${XTENSOR_INCLUDE_DIR}/xtensor/xarray.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xassign.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xbroadcast.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xbuilder.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xcontainer.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xeval.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xexception.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xexpression.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xfunction.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xgenerator.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xindexview.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xio.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xiterable.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xiterator.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xlayout.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xmath.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xnoalias.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xoperation.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xrandom.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xreducer.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xscalar.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xsemantic.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xstridedview.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xslice.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xstorage.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xstrides.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xtensor.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xtensor_config.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xtensor_forward.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xutils.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xvectorize.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xview.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xoptional.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xmissing.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xfunctorview.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xoffsetview.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xcomplex.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xview_utils.hpp
    ${XTENSOR_INCLUDE_DIR}/xtensor/xcsv.hpp
)

OPTION(XTENSOR_ENABLE_ASSERT "xtensor bound check" OFF)
OPTION(BUILD_TESTS "xtensor test suite" OFF)
OPTION(DOWNLOAD_GTEST "build gtest from downloaded sources" OFF)

if(DOWNLOAD_GTEST OR GTEST_SRC_DIR)
    set(BUILD_TESTS ON)
endif()

if(XTENSOR_ENABLE_ASSERT)
    add_definitions(-DXTENSOR_ENABLE_ASSERT)
endif()

if(BUILD_TESTS)
    add_subdirectory(test)
    add_subdirectory(benchmark)
endif()

# Installation
# ============

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

install(FILES ${XTENSOR_HEADERS}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/xtensor)

# GNUInstallDirs "DATADIR" wrong here; CMake search path wants "share".
set(XTENSOR_CMAKECONFIG_INSTALL_DIR "share/cmake/${PROJECT_NAME}" CACHE STRING "install path for xtensorConfig.cmake")

configure_package_config_file(${PROJECT_NAME}Config.cmake.in
                              "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
                              INSTALL_DESTINATION ${XTENSOR_CMAKECONFIG_INSTALL_DIR})

# xtensor is header-only and does not depend on the architecture.
# Remove CMAKE_SIZEOF_VOID_P from xtensorConfigVersion.cmake so that an xtensorConfig.cmake
# generated for a 64 bit target can be used for 32 bit targets and vice versa.
set(_XTENSOR_CMAKE_SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P})
unset(CMAKE_SIZEOF_VOID_P)
write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
                                 VERSION ${${PROJECT_NAME}_VERSION}
                                 COMPATIBILITY AnyNewerVersion)
set(CMAKE_SIZEOF_VOID_P ${_XTENSOR_CMAKE_SIZEOF_VOID_P})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
        DESTINATION ${XTENSOR_CMAKECONFIG_INSTALL_DIR})

=== benchmark/CMakeLists.txt ===
############################################################################
# Copyright (c) 2016, Johan Mabille and Sylvain Corlay                     #
#                                                                          #
# Distributed under the terms of the BSD 3-Clause License.                 #
#                                                                          #
# The full license is in the file LICENSE, distributed with this software. #
############################################################################

cmake_minimum_required(VERSION 3.1)

if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
    project(xtensor-benchmark)

    find_package(xtensor REQUIRED CONFIG)
    set(XTENSOR_INCLUDE_DIR ${xtensor_INCLUDE_DIR})
endif ()

message(STATUS "Forcing tests build type to Release")
set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)

include(CheckCXXCompilerFlag)

string(TOUPPER "${CMAKE_BUILD_TYPE}" U_CMAKE_BUILD_TYPE)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Intel")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native -Wunused-parameter -Wextra -Wreorder -Wconversion")
    CHECK_CXX_COMPILER_FLAG("-std=c++14" HAS_CPP14_FLAG)

    if (HAS_CPP14_FLAG)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
    else()
        message(FATAL_ERROR "Unsupported compiler -- xtensor requires C++14 support!")
    endif()

    # Enable link time optimization and set the default symbol
    # visibility to hidden (very important to obtain small binaries)
    if (NOT ${U_CMAKE_BUILD_TYPE} MATCHES DEBUG)
        # Default symbol visibility
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

        # Check for Link Time Optimization support
        # (GCC/Clang)
        CHECK_CXX_COMPILER_FLAG("-flto" HAS_LTO_FLAG)
        if (HAS_LTO_FLAG)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -flto")
        endif()

        # Intel equivalent to LTO is called IPO
        if (CMAKE_CXX_COMPILER_ID MATCHES "Intel")
            CHECK_CXX_COMPILER_FLAG("-ipo" HAS_IPO_FLAG)
            if (HAS_IPO_FLAG)
                set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ipo")
            endif()
        endif()
    endif()
endif()

if(MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc /MP /bigobj")
    set(CMAKE_EXE_LINKER_FLAGS /MANIFEST:NO)
    foreach(flag_var
            CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
            CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
        string(REPLACE "/MD" "-MT" ${flag_var} "${${flag_var}}")
    endforeach()
endif()

include_directories(${XTENSOR_INCLUDE_DIR})

set(XTENSOR_BENCHMARK
    main.cpp
)

set(XTENSOR_BENCHMARK_TARGET benchmark_xtensor)
add_executable(${XTENSOR_BENCHMARK_TARGET} EXCLUDE_FROM_ALL ${XTENSOR_BENCHMARK} ${XTENSOR_HEADERS})

add_custom_target(xbenchmark COMMAND benchmark_xtensor DEPENDS ${XTENSOR_BENCHMARK_TARGET})

=== test/CMakeLists.txt ===
############################################################################
# Copyright (c) 2016, Johan Mabille and Sylvain Corlay                     #
#                                                                          #
# Distributed under the terms of the BSD 3-Clause License.                 #
#                                                                          #
# The full license is in the file LICENSE, distributed with this software. #
############################################################################

cmake_minimum_required(VERSION 3.1)

if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
    project(xtensor-test)

    find_package(xtensor REQUIRED CONFIG)
    set(XTENSOR_INCLUDE_DIR ${xtensor_INCLUDE_DIR})
endif ()

message(STATUS "Forcing tests build type to Release")
set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)

include(CheckCXXCompilerFlag)

string(TOUPPER "${CMAKE_BUILD_TYPE}" U_CMAKE_BUILD_TYPE)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Intel")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native -Wunused-parameter -Wextra -Wreorder -Wconversion")
    CHECK_CXX_COMPILER_FLAG("-std=c++14" HAS_CPP14_FLAG)

    if (HAS_CPP14_FLAG)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14")
    else()
        message(FATAL_ERROR "Unsupported compiler -- xtensor requires C++14 support!")
    endif()
endif()

if(MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc /MP /bigobj")
    set(CMAKE_EXE_LINKER_FLAGS /MANIFEST:NO)
    foreach(flag_var
            CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
            CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
        string(REPLACE "/MD" "-MT" ${flag_var} "${${flag_var}}")
    endforeach()
endif()

if(DOWNLOAD_GTEST OR GTEST_SRC_DIR)
    if(DOWNLOAD_GTEST)
        # Download and unpack googletest at configure time
        configure_file(downloadGTest.cmake.in googletest-download/CMakeLists.txt)
    else()
        # Copy local source of googletest at configure time
        configure_file(copyGTest.cmake.in googletest-download/CMakeLists.txt)
    endif()
    execute_process(COMMAND ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}" .
                    RESULT_VARIABLE result
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/googletest-download )
    if(result)
        message(FATAL_ERROR "CMake step for googletest failed: ${result}")
    endif()
    execute_process(COMMAND ${CMAKE_COMMAND} --build .
                    RESULT_VARIABLE result
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/googletest-download )
    if(result)
        message(FATAL_ERROR "Build step for googletest failed: ${result}")
    endif()

    # Add googletest directly to our build. This defines
    # the gtest and gtest_main targets.
    add_subdirectory(${CMAKE_CURRENT_BINARY_DIR}/googletest-src
                     ${CMAKE_CURRENT_BINARY_DIR}/googletest-build)

    set(GTEST_INCLUDE_DIRS "${gtest_SOURCE_DIR}/include")
    set(GTEST_BOTH_LIBRARIES  gtest_main gtest)
else()
    find_package(GTest REQUIRED)
endif()

find_package(Threads)

include_directories(${XTENSOR_INCLUDE_DIR})
include_directories(${GTEST_INCLUDE_DIRS})

set(XTENSOR_TESTS
    main.cpp
    test_common.hpp
    test_xadaptor_semantic.cpp
    test_xarray.cpp
    test_xarray_adaptor.cpp
    test_xbroadcast.cpp
    test_xbuilder.cpp
    test_xcontainer_semantic.cpp
    test_xeval.cpp
    test_xfunction.cpp
    test_xindexview.cpp
    test_xiterator.cpp
    test_xio.cpp
    test_xlayout.cpp
    test_xmath.cpp
    test_xnoalias.cpp
    test_xoperation.cpp
    test_xrandom.cpp
    test_xreducer.cpp
    test_xscalar.cpp
    test_xscalar_semantic.cpp
    test_xsemantic.hpp
    test_xstridedview.cpp
    test_xtensor.cpp
    test_xtensor_adaptor.cpp
    test_xtensor_semantic.cpp
    test_xvectorize.cpp
    test_xview.cpp
    test_xview_semantic.cpp
    test_xutils.cpp
    test_xcomplex.cpp
    test_xoptional.cpp
    test_xstorage.cpp
    test_xcsv.cpp
)

set(XTENSOR_TARGET test_xtensor)

add_executable(${XTENSOR_TARGET} ${XTENSOR_TESTS} ${XTENSOR_HEADERS})
if(DOWNLOAD_GTEST OR GTEST_SRC_DIR)
    add_dependencies(${XTENSOR_TARGET} gtest_main)
endif()
target_link_libraries(${XTENSOR_TARGET} ${GTEST_BOTH_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

add_custom_target(xtest COMMAND test_xtensor DEPENDS ${XTENSOR_TARGET})

=== debian/changelog ===
xtensor (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 18 Apr 2017 19:34:02 +0100

xtensor (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * Drop the patch queue, applied upstream
  * Fix the clean target when nodoc requested
  * Change doc-base registration to Programming/C++

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 10 Apr 2017 17:49:06 +0100

xtensor (0.8.3-1) unstable; urgency=low

  * Initial release. (Closes: #858067)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 06 Apr 2017 16:55:03 +0100

=== debian/control ===
Source: xtensor
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.1),
               debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               googletest <!nocheck>,
               python3-breathe <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx-common
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/xtensor.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/xtensor.git
Homepage: http://quantstack.net/xtensor

Package: xtensor-dev
Architecture: all
Depends: ${misc:Depends}
Suggests: xtensor-doc <!nodoc>
Description: multi-dimensional arrays with broadcasting and lazy computing
 xtensor is a C++ library meant for numerical analysis with multi-dimensional
 array expressions.
 .
 xtensor provides:
 .
   - an extensible expression system enabling lazy broadcasting.
   - an API following the idioms of the C++ standard library.
   - tools to manipulate array expressions and build upon xtensor.
 .
 Containers of xtensor are inspired by NumPy, the Python array programming
 library. In fact, xtensor can be used to process numpy data structures inplace
 using Python's buffer protocol. For more details on the numpy bindings, check
 out the xtensor-python project.
 .
 This package provides the header-only library.

Package: xtensor-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for xtensor
 xtensor is a C++ library meant for numerical analysis with multi-dimensional
 array expressions.
 .
 xtensor provides:
 .
   - an extensible expression system enabling lazy broadcasting.
   - an API following the idioms of the C++ standard library.
   - tools to manipulate array expressions and build upon xtensor.
 .
 Containers of xtensor are inspired by NumPy, the Python array programming
 library. In fact, xtensor can be used to process numpy data structures inplace
 using Python's buffer protocol. For more details on the numpy bindings, check
 out the xtensor-python project.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

BUILD_OPTIONS = -DXTENSOR_CMAKECONFIG_INSTALL_DIR="lib/cmake/xtensor"

ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
BUILD_OPTIONS += -DBUILD_TESTS=ON \
		 -DGTEST_SRC_DIR="/usr/src/googletest"
else
BUILD_OPTIONS += -DBUILD_TESTS=OFF
endif

%:
	dh $@ --with sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_OPTIONS)

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs html
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
	dh_auto_test -- xtest
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/xtensor-$1\.tar\.gz/ \
https://github.com/QuantStack/xtensor/tags .*/v?@ANY_VERSION@\.tar\.gz

## xtensor 0.9.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.8.1-0
+Version: 0.9.0-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -16,6 +16,6 @@
 LinkingTo: Rcpp
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2018-10-18 13:02:41 UTC; scorlay
+Packaged: 2018-12-06 22:37:30 UTC; scorlay
 Repository: CRAN
-Date/Publication: 2018-10-19 12:00:04 UTC
+Date/Publication: 2018-12-12 09:10:03 UTC

## xtensor 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 set(XTENSOR_HEADERS
     ${XTENSOR_INCLUDE_DIR}/xtensor/xarray.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xassign.hpp
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xaxis_iterator.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xbroadcast.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xbuilder.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xcontainer.hpp
@@ -74,6 +75,7 @@
 OPTION(XTENSOR_ENABLE_ASSERT "xtensor bound check" OFF)
 OPTION(BUILD_TESTS "xtensor test suite" OFF)
 OPTION(DOWNLOAD_GTEST "build gtest from downloaded sources" OFF)
+OPTION(DEFAULT_COLUMN_MAJOR "set default layout to coumn major" OFF)
 
 if(DOWNLOAD_GTEST OR GTEST_SRC_DIR)
     set(BUILD_TESTS ON)
@@ -81,6 +83,10 @@
 
 if(XTENSOR_ENABLE_ASSERT)
     add_definitions(-DXTENSOR_ENABLE_ASSERT)
+endif()
+
+if(DEFAULT_COLUMN_MAJOR)
+    add_definitions(-DDEFAULT_LAYOUT=layout_type::column_major)
 endif()
 
 if(BUILD_TESTS)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
     project(xtensor-test)
 
     find_package(xtensor REQUIRED CONFIG)
-    set(XTENSOR_INCLUDE_DIR ${xtensor_INCLUDE_DIR})
+    set(XTENSOR_INCLUDE_DIR ${xtensor_INCLUDE_DIRS})
 endif ()
 
 message(STATUS "Forcing tests build type to Release")
@@ -86,9 +86,11 @@
     test_xadaptor_semantic.cpp
     test_xarray.cpp
     test_xarray_adaptor.cpp
+    test_xaxis_iterator.cpp
     test_xbroadcast.cpp
     test_xbuilder.cpp
     test_xcontainer_semantic.cpp
+    test_xdynamicview.cpp
     test_xeval.cpp
     test_xfunction.cpp
     test_xindexview.cpp

=== debian/changelog ===
xtensor (0.10.1-1) unstable; urgency=medium

  * Fixup the watch regex
  * New upstream version 0.10.1

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 09 May 2017 19:19:38 +0100

## xtensor 0.10.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.9.0-0
+Version: 0.10.1-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -15,7 +15,9 @@
 Imports: Rcpp
 LinkingTo: Rcpp
 LazyData: true
+Biarch: true
+Suggests: testthat
 NeedsCompilation: yes
-Packaged: 2018-12-06 22:37:30 UTC; scorlay
+Packaged: 2019-03-18 19:31:10 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2018-12-12 09:10:03 UTC
+Date/Publication: 2019-03-18 20:00:03 UTC

## xtensor 0.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,10 +30,12 @@
 # =====
 
 set(XTENSOR_HEADERS
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xadapt.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xarray.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xassign.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xaxis_iterator.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xbroadcast.hpp
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xbuffer_adaptor.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xbuilder.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xcontainer.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xeval.hpp

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -83,11 +83,13 @@
 set(XTENSOR_TESTS
     main.cpp
     test_common.hpp
+    test_xadapt.cpp
     test_xadaptor_semantic.cpp
     test_xarray.cpp
     test_xarray_adaptor.cpp
     test_xaxis_iterator.cpp
     test_xbroadcast.cpp
+    test_xbuffer_adaptor.cpp
     test_xbuilder.cpp
     test_xcontainer_semantic.cpp
     test_xdynamicview.cpp

=== debian/changelog ===
xtensor (0.10.2-1) unstable; urgency=medium

  * New upstream version 0.10.2
  * Mark xtensor-dev Multi-Arch: foreign
  * Do not build with -march=native
    - New patch No-march-native.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 18 May 2017 17:09:24 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 Package: xtensor-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: xtensor-doc <!nodoc>
 Description: multi-dimensional arrays with broadcasting and lazy computing

## xtensor 0.10.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ############################################################################
-# Copyright (c) 2016, Johan Mabille and Sylvain Corlay                     #
+# Copyright (c) 2016, Johan Mabille, Sylvain Corlay and Wolf Vollprecht    #
 #                                                                          #
 # Distributed under the terms of the BSD 3-Clause License.                 #
 #                                                                          #
@@ -37,20 +37,27 @@
     ${XTENSOR_INCLUDE_DIR}/xtensor/xbroadcast.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xbuffer_adaptor.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xbuilder.hpp
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xcomplex.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xcontainer.hpp
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xcsv.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xeval.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xexception.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xexpression.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xfunction.hpp
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xfunctorview.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xgenerator.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xindexview.hpp
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xinfo.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xio.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xiterable.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xiterator.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xlayout.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xmath.hpp
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xmissing.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xnoalias.hpp
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xoffsetview.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xoperation.hpp
+    ${XTENSOR_INCLUDE_DIR}/xtensor/xoptional.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xrandom.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xreducer.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xscalar.hpp
@@ -65,13 +72,7 @@
     ${XTENSOR_INCLUDE_DIR}/xtensor/xutils.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xvectorize.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xview.hpp
-    ${XTENSOR_INCLUDE_DIR}/xtensor/xoptional.hpp
-    ${XTENSOR_INCLUDE_DIR}/xtensor/xmissing.hpp
-    ${XTENSOR_INCLUDE_DIR}/xtensor/xfunctorview.hpp
-    ${XTENSOR_INCLUDE_DIR}/xtensor/xoffsetview.hpp
-    ${XTENSOR_INCLUDE_DIR}/xtensor/xcomplex.hpp
     ${XTENSOR_INCLUDE_DIR}/xtensor/xview_utils.hpp
-    ${XTENSOR_INCLUDE_DIR}/xtensor/xcsv.hpp
 )
 
 OPTION(XTENSOR_ENABLE_ASSERT "xtensor bound check" OFF)

=== benchmark/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ############################################################################
-# Copyright (c) 2016, Johan Mabille and Sylvain Corlay                     #
+# Copyright (c) 2016, Johan Mabille, Sylvain Corlay and Wolf Vollprecht    #
 #                                                                          #
 # Distributed under the terms of the BSD 3-Clause License.                 #
 #                                                                          #

=== debian/changelog ===
xtensor (0.10.3-1) unstable; urgency=medium

  * New upstream version 0.10.3
  * Refresh the patch queue
  * Update copyright information

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 08 Jun 2017 18:42:29 +0100

## xtensor 0.10.4

=== debian/changelog ===
xtensor (0.10.4-1) unstable; urgency=medium

  * New upstream version 0.10.4

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 12 Jun 2017 21:47:14 +0100

## xtensor 0.10.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -126,3 +126,8 @@
               ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
         DESTINATION ${XTENSOR_CMAKECONFIG_INSTALL_DIR})
 
+configure_file(${PROJECT_NAME}.pc.in
+               "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
+                @ONLY)
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc"
+        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")

=== debian/changelog ===
xtensor (0.10.6-1) unstable; urgency=medium

  * New upstream version 0.10.6
  * Install the pkgconfig file
  * Bump standards version to 4.0.0, no changes required

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 09 Jul 2017 23:16:19 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/xtensor.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/xtensor.git
 Homepage: http://quantstack.net/xtensor

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE = 1
 
-BUILD_OPTIONS = -DXTENSOR_CMAKECONFIG_INSTALL_DIR="lib/cmake/xtensor"
+BUILD_OPTIONS = -DCMAKE_INSTALL_LIBDIR="lib" \
+		-DXTENSOR_CMAKECONFIG_INSTALL_DIR="lib/cmake/xtensor"
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
 BUILD_OPTIONS += -DBUILD_TESTS=ON \

## xtensor 0.10.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,7 +78,7 @@
 OPTION(XTENSOR_ENABLE_ASSERT "xtensor bound check" OFF)
 OPTION(BUILD_TESTS "xtensor test suite" OFF)
 OPTION(DOWNLOAD_GTEST "build gtest from downloaded sources" OFF)
-OPTION(DEFAULT_COLUMN_MAJOR "set default layout to coumn major" OFF)
+OPTION(DEFAULT_COLUMN_MAJOR "set default layout to column major" OFF)
 
 if(DOWNLOAD_GTEST OR GTEST_SRC_DIR)
     set(BUILD_TESTS ON)
@@ -106,8 +106,8 @@
 install(FILES ${XTENSOR_HEADERS}
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/xtensor)
 
-# GNUInstallDirs "DATADIR" wrong here; CMake search path wants "share".
-set(XTENSOR_CMAKECONFIG_INSTALL_DIR "share/cmake/${PROJECT_NAME}" CACHE STRING "install path for xtensorConfig.cmake")
+set(XTENSOR_CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}" CACHE
+    STRING "install path for xtensorConfig.cmake")
 
 configure_package_config_file(${PROJECT_NAME}Config.cmake.in
                               "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"

=== benchmark/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,9 @@
 include_directories(${XTENSOR_INCLUDE_DIR})
 
 set(XTENSOR_BENCHMARK
+    benchmark_container.hpp
+    benchmark_math.hpp
+    benchmark_views.hpp
     main.cpp
 )

=== debian/changelog ===
xtensor (0.10.7-1) unstable; urgency=medium

  * New upstream version 0.10.7
  * Refresh the patch queue
  * Drop superfluous CMake options
  * Mark xtensor-dev section libdevel

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 11 Jul 2017 17:26:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE = 1
 
-BUILD_OPTIONS = -DCMAKE_INSTALL_LIBDIR="lib" \
-		-DXTENSOR_CMAKECONFIG_INSTALL_DIR="lib/cmake/xtensor"
+BUILD_OPTIONS = -DCMAKE_INSTALL_LIBDIR="lib"
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
 BUILD_OPTIONS += -DBUILD_TESTS=ON \

## xtensor 0.10.9

=== debian/changelog ===
xtensor (0.10.9-1) unstable; urgency=medium

  * New upstream version 0.10.9
  * Refresh the patch queue

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 01 Aug 2017 12:05:42 +0100

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Package: xtensor-dev
 Architecture: all
 Multi-Arch: foreign
+Section: libdevel
 Depends: ${misc:Depends}
 Suggests: xtensor-doc <!nodoc>
 Description: multi-dimensional arrays with broadcasting and lazy computing

## xtensor 0.10.10

=== debian/changelog ===
xtensor (0.10.10-1) unstable; urgency=medium

  * New upstream version 0.10.10
  * Bump standards version to 4.0.1, no changes required
  * Add missing get-orig-source target

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 12 Aug 2017 10:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.0.0
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/xtensor.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/xtensor.git
 Homepage: http://quantstack.net/xtensor

## xtensor 0.10.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -77,6 +77,7 @@
 
 OPTION(XTENSOR_ENABLE_ASSERT "xtensor bound check" OFF)
 OPTION(BUILD_TESTS "xtensor test suite" OFF)
+OPTION(BUILD_BENCHMARK "xtensor benchmark" OFF)
 OPTION(DOWNLOAD_GTEST "build gtest from downloaded sources" OFF)
 OPTION(DEFAULT_COLUMN_MAJOR "set default layout to column major" OFF)
 
@@ -94,6 +95,9 @@
 
 if(BUILD_TESTS)
     add_subdirectory(test)
+endif()
+
+if(BUILD_BENCHMARK)
     add_subdirectory(benchmark)
 endif()

=== benchmark/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,7 @@
 include_directories(${XTENSOR_INCLUDE_DIR})
 
 set(XTENSOR_BENCHMARK
+    benchmark_assign.hpp
     benchmark_container.hpp
     benchmark_math.hpp
     benchmark_views.hpp

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ############################################################################
-# Copyright (c) 2016, Johan Mabille and Sylvain Corlay                     #
+# Copyright (c) 2016, Johan Mabille, Sylvain Corlay and Wolf Vollprecht    #
 #                                                                          #
 # Distributed under the terms of the BSD 3-Clause License.                 #
 #                                                                          #

=== debian/changelog ===
xtensor (0.10.11-1) unstable; urgency=medium

  * New upstream version 0.10.11
  * Fixup the Vcs-Browser URI
  * Bump the standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 24 Aug 2017 10:01:51 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/xtensor.git
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/xtensor.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/xtensor.git
 Homepage: http://quantstack.net/xtensor

=== debian/rules ===
--- 
+++ 
@@ -37,3 +37,6 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
+
+get-orig-source:
+	uscan --download-current-version --force-download --no-symlink

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r ./test/* "$AUTOPKGTEST_TMP"
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with gcc:"
 ; mkdir build && cd build
 ; CC=gcc CXX=g++ cmake .. -DGTEST_SRC_DIR="/usr/src/googletest"
 ; make -j $(nproc) xtest
Depends: cmake,
         g++,
         googletest,
         xtensor-dev
Restrictions: allow-stderr

Test-Command: set -e
 ; cp -r ./test/* "$AUTOPKGTEST_TMP"
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with clang:"
 ; mkdir build && cd build
 ; CC=clang CXX=clang++ cmake .. -DGTEST_SRC_DIR="/usr/src/googletest"
 ; make -j $(nproc) xtest
Depends: clang,
         cmake,
         googletest,
         xtensor-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xtensor-$1\.tar\.gz/ \
https://github.com/QuantStack/xtensor/tags .*/v?(\d\S+)\.tar\.gz

## xtensor 0.11.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.10.1-0
+Version: 0.11.0-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -18,6 +18,6 @@
 Biarch: true
 Suggests: testthat
 NeedsCompilation: yes
-Packaged: 2019-03-18 19:31:10 UTC; sylvain
+Packaged: 2019-04-18 15:41:33 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2019-03-18 20:00:03 UTC
+Date/Publication: 2019-04-18 16:10:03 UTC

## xtensor 0.11.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.11.0-0
+Version: 0.11.1-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -18,6 +18,6 @@
 Biarch: true
 Suggests: testthat
 NeedsCompilation: yes
-Packaged: 2019-04-18 15:41:33 UTC; sylvain
+Packaged: 2019-06-21 22:55:44 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2019-04-18 16:10:03 UTC
+Date/Publication: 2019-06-22 04:50:03 UTC

## xtensor 0.13.2-0

=== DESCRIPTION ===
Package: xtensor
Type: Package
Title: Headers for the 'xtensor' Library
Version: 0.13.2-0
Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
Description: The 'xtensor' C++ library for numerical analysis with
 multi-dimensional array expressions is provided as a header-only
 C++14 library. It offers an extensible expression system enabling
 lazy broadcasting; an API following the idioms of the C++ standard
 library; and tools to manipulate array expressions and build upon 'xtensor'.
URL: https://github.com/xtensor-stack/xtensor
License: BSD_3_clause + file LICENSE
Encoding: UTF-8
Imports: Rcpp
LinkingTo: Rcpp
LazyData: true
Biarch: true
Suggests: testthat
NeedsCompilation: yes
Packaged: 2021-03-01 09:23:53 UTC; sylvain
Repository: CRAN
Date/Publication: 2021-03-01 09:40:02 UTC

## xtensor 0.14.1-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: xtensor
 Type: Package
 Title: Headers for the 'xtensor' Library
-Version: 0.13.2-0
+Version: 0.14.1-0
 Author: Johan Mabille, Sylvain Corlay and Wolf Vollprecht
 Maintainer: Sylvain Corlay <sylvain.corlay@gmail.com>
 Description: The 'xtensor' C++ library for numerical analysis with
@@ -14,10 +14,9 @@
 Encoding: UTF-8
 Imports: Rcpp
 LinkingTo: Rcpp
-LazyData: true
 Biarch: true
 Suggests: testthat
 NeedsCompilation: yes
-Packaged: 2021-03-01 09:23:53 UTC; sylvain
+Packaged: 2023-02-15 09:40:36 UTC; sylvain
 Repository: CRAN
-Date/Publication: 2021-03-01 09:40:02 UTC
+Date/Publication: 2023-02-15 10:00:02 UTC
